package net.sf.seaf.persistence;

/**
 * Common interface for all time-bound code tables.
 */
public interface TimeBoundCodeTable extends Entity<Long>, CodeTable {

	/**
	 * Default getter for property validFrom.
	 * 
	 * @return The validFrom property
	 */
	java.util.Calendar getValidFrom();

	/**
	 * Default setter for property validFrom.
	 * 
	 * @param validFrom
	 *            New value for the validFrom property
	 */
	void setValidFrom(java.util.Calendar validFrom);

	/**
	 * Default getter for property validUntil.
	 * 
	 * @return The validUntil property
	 */
	java.util.Calendar getValidUntil();

	/**
	 * Default setter for property validUntil.
	 * 
	 * @param validUntil
	 *            New value for the validUntil property
	 */
	void setValidUntil(java.util.Calendar validUntil);

}
